Retrieve a list of Monerium IBAN orders
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/ibans/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/ibans/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/ibans/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/ibans/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/ibans/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/ibans/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"amount": "<string>",
"address": "<string>",
"counterpart": {
"details": {
"name": "<string>"
},
"identifier": {
"standard": "iban",
"iban": "<string>"
}
},
"meta": {
"placedAt": "2023-11-07T05:31:56Z"
},
"memo": "<string>"
}
]
}{
"message": "<string>"
}{
"error": "Internal server error"
}IBAN
Retrieve a list of Monerium IBAN orders
deprecated
Returns a list of IBAN orders associated with the authenticated user.
GET
/
api
/
v1
/
ibans
/
orders
Retrieve a list of Monerium IBAN orders
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/ibans/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/ibans/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/ibans/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/ibans/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/ibans/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/ibans/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"amount": "<string>",
"address": "<string>",
"counterpart": {
"details": {
"name": "<string>"
},
"identifier": {
"standard": "iban",
"iban": "<string>"
}
},
"meta": {
"placedAt": "2023-11-07T05:31:56Z"
},
"memo": "<string>"
}
]
}{
"message": "<string>"
}{
"error": "Internal server error"
}⌘I